!== Kind type parameter value
!
! Authors::   Yasuhiro MORIKAWA, Eizi TOYODA
! Version::   $Id: dc_types.f90,v 1.9 2006/12/05 21:24:42 morikawa Exp $
! Tag Name::  $Name: gt4f90io-20070719 $
! Copyright:: Copyright (C) GFD Dennou Club, 2000-2005. All rights reserved.
! License::   See COPYRIGHT[link:../../COPYRIGHT]
!
! This file provides dc_types
!

module dc_types
  !
  !== Overview
  !
  ! ̷ѥ᥿󶡤ޤ
  !
  !
  implicit none
  private
  public :: DP
  public :: TOKEN, STRING
  public :: STDIN, STDOUT, STDERR
  public :: NF_KIND_INT1
  public :: NF_KIND_INT2

  integer, parameter:: DP  = kind(0.0d0) ! Double Precision.
                                         ! ټ¿ѿμ̷ѥ᥿
                                         ! ȤѤޤ

  integer, parameter:: TOKEN  = 32       ! Token.
                                         ! ñ䥭ɤݻ
                                         ! ʸѿμ̷ѥ᥿
                                         ! ȤѤޤ

  integer, parameter:: STRING = 256      ! String.
                                         ! ʸݻ
                                         ! ʸѿμ̷ѥ᥿
                                         ! ȤѤޤ
                                         !
                                         !--
                                         !ȯԸ
                                         !
                                         ! 256 Ȥͤ˿ͳϤޤ.
                                         ! ɬפʤФ礭ͤ
                                         ! Ƥ⹽ޤ.
                                         !  8 ХȶȤʤ褦,
                                         ! 8 ܿȤʤäƤ뤳Ȥ
                                         ! 侩ޤ.
                                         !
                                         ! SR11000 κŬ
                                         ! FORTRAN90 Ѥ
                                         ! Ϥ 255 ʲ
                                         ! ꤹɬפޤ.
                                         !
                                         !++

  integer, parameter:: STDIN  = 5        ! ɸϤֹ
  integer, parameter:: STDOUT = 6        ! ɸϤֹ
  integer, parameter:: STDERR = 0        ! ɸ२顼Ϥֹ

  ! netCDF Fortran 󥿡եηѥ᥿
  ! (netcdf.inc ˤ¸ߤʤ)
  !
  integer, parameter:: NF_KIND_INT1 = selected_int_kind(2)
  integer, parameter:: NF_KIND_INT2 = selected_int_kind(4)
end module
